part of cresce_ui;

class CCircle extends StatelessWidget {
  final Size? size;
  final Uint8List? image;

  const CCircle({
    Key? key,
    this.size = const Size(86, 86),
    this.image,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      width: size!.width,
      height: size!.height,
      decoration: const BoxDecoration(
        borderRadius: BorderRadius.all(Radius.elliptical(9999.0, 9999.0)),
        color: Color(0xffffffff),
        boxShadow: [
          BoxShadow(
            color: Color(0x29000000),
            offset: Offset(0, 3),
            blurRadius: 6,
          ),
        ],
      ),
      child: Image.memory(image ?? base64Decode(_placeholder)),
    );
  }
}
